<?
if ($level < 3){
  die('У вас нет прав доступа');
}

if (isset($_GET['act']) && isset($_GET['act'])) {
  $act = (int) $_GET['act'];
  $id = (int) $_GET['id'];
  
  $pays = $sql -> fetch("SELECT * FROM `ads` WHERE `id` = '$id' AND `pays` = '1' LIMIT 1");
  
  if (isset($pays['id']) && $pays['time_last'] == '0') {
    if ($act == 0) {
       $sql -> delete("DELETE FROM `ads` WHERE `id` = '$id' LIMIT 1");
       $msglog = "Заявка на покупку рекламы для сайта [url=http://" . $pays['url'] . "]" . $pays['url'] . "[/url] отклонена.\rСредства возвращены на личный счет.";
       journal($pays['id_user'], 'other', $msglog);
       $sql -> insert("INSERT INTO `billing_log` (`time`, `type`, `id_user`, `coins`, `msg`) VALUES ('$time', 'service', '$pays[id_user]', '" . $pays['wmr'] . "', '$msglog')");
       $messages[] = 'Заявка отклонена';
    } elseif ($act == 1) {
       $sql -> update("UPDATE `ads` SET `pays` = '1', `time_last` = '" . (time() + ($pays['days'] * 60 * 60 * 24)) . "' WHERE `id` = '$pays[id]' LIMIT 1");
       $msglog = "Заявка на покупку рекламы для сайта [url=http://" . $pays['url'] . "]" . $pays['url'] . "[/url] одобрена.\r Рекламная ссылка оплачена до " . vremja(time() + ($pays['days'] * 60 * 60 * 24)) . ".";
       journal($pays['id_user'], 'other', $msglog);
       $messages[] = 'Заявка одобрена';
    }    
  }
}

$system['title'] = 'Оплаченные счета';
require SYS . 'header.php';

$k_post = $sql -> selectCount("SELECT COUNT(*) FROM `ads` WHERE `pays` = '1' AND `time_last` = '0'");

if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;">Оплаченных счетов нет</div>
  <?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

  $array = $sql -> select("SELECT * FROM `ads` WHERE  `pays` = '1' AND `time_last` = '0' ORDER BY `time_pays` DESC LIMIT $start, $system[page_str]");

  foreach ($array AS $post) {
    $num++;
    if ($post['type'] == 'goods') {
      $goods = $sql -> fetch("SELECT * FROM `shop_goods` WHERE `id` = '$post[id_goods]' AND `unlink` = '0' LIMIT 1");
    }
?>
    <div class="media <?= ($num % 2 ? "nav1" : "nav2")?>">
      <div class="media-body">
      <?= login($post['id_user'], 1)?> заказал<?=($user['pol']==0?'a':null)?> рекламу для <?= ($post['type'] == 'goods' ? 'товара' : 'cайта')?> 
      <? if ($post['type'] == 'goods' && $goods['id']) { ?>
         <a href="?func=shop.goods&amp;id=<?= $post['id_goods']?>"><?= text($goods['name'])?></a>
      <? } ?>
      <br />
      Название: <?= text($post['name'])?><br />
      URL: <?= text($post['url'])?><br />
      Дней: <?= text($post['days'])?><br />
      <b>Дополнительные параметры:</b><br />
      Цвет: <?= ($post['color'] ? '<span style="color: ' . text($post['color']) . '">&radic; ' . text($post['color']) . '</span>' : 'Нет')?><br />
      Жирность: <?= ($post['fonts'] == 1 ? '<span style="font-weight: bold;">&radic; да</span>' : 'Нет')?><br />
      
      <span class="on">Оплачено: <b><?= $post['wmr']?></b> wmr</span><br />
      <a href="?func=<?= $func?>&amp;id=<?= $post['id']?>&amp;act=1" class="btn">Одобрить</a> 
      <a href="?func=<?= $func?>&amp;id=<?= $post['id']?>&amp;act=0" class="btn">Отклонить</a> <br />
      </div>
    </div>
<?
  }

  if ($k_page > 1) { 
    str('?func=' . $func . '&amp;', $k_page, $page);
  }  
}  
?>
<div class="foot">
&laquo; <a href="?func=admin">В админку</a><br />
</div>